org.restlet.engine.application

## Class ApplicationHelper

- java.lang.Object
- - org.restlet.engine.Helper
  - - org.restlet.engine.RestletHelper<T>
    - - org.restlet.engine.ChainHelper<Application>
      - - org.restlet.engine.application.ApplicationHelper

    public class ApplicationHelper
    extends ChainHelper<Application>

Application implementation.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`ApplicationHelper(Application application)` Constructor.

### Method Summary

Methods
`void` `handle(Request request, Response response)` In addition to the default behavior, it saves the current application instance into the current thread.
`void` `start()` Start hook.
`void` `stop()` Stop callback.
`void` `update()` Update callback with less impact than a `RestletHelper.stop()` followed by a `RestletHelper.start()`.

### Methods inherited from class org.restlet.engine.ChainHelper

`addFilter, clear, getFirst, getLast, setFirst, setLast, setNext`

### Methods inherited from class org.restlet.engine.RestletHelper

`getAttributes, getContext, getHelped, getHelpedParameters, getLogger, getMetadataService, setHelped`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ApplicationHelper

    public ApplicationHelper(Application application)

Constructor.

Parameters:
  `application` - The application to help.

### Method Detail

#### handle

    public void handle(Request request,
              Response response)

In addition to the default behavior, it saves the current application instance into the current thread.

Overrides:
  `handle` in class `ChainHelper<Application>`
Parameters:
  `request` - The request to handle.
  `response` - The response to update.

#### start

    public void start()
               throws java.lang.Exception

Start hook.

Specified by:
  `start` in class `RestletHelper<Application>`
Throws:
  `java.lang.Exception`

#### stop

    public void stop()
              throws java.lang.Exception

Description copied from class: `RestletHelper`
Stop callback.

Specified by:
  `stop` in class `RestletHelper<Application>`
Throws:
  `java.lang.Exception`

#### update

    public void update()
                throws java.lang.Exception

Description copied from class: `RestletHelper`
Update callback with less impact than a `RestletHelper.stop()` followed by a `RestletHelper.start()`.

Specified by:
  `update` in class `RestletHelper<Application>`
Throws:
  `java.lang.Exception`